module.exports=(()=>{"use strict";var e={612:(e,t,s)=>{s.r(t),s.d(t,{configureProgram:()=>v});const n=JSON.parse('{"name":"git-add-then-commit","version":"1.0.6","description":"Minimalist CLI tool to automate the git-add-then-commit workflow for conventional commit messages","keywords":["git","conventional","commit","commits","conventional-commit","add","angular","semantic","release"],"repository":{"type":"git","url":"https://github.com/Xunnamius/git-add-then-commit"},"license":"Unlicense","author":"Xunnamius","sideEffects":false,"type":"commonjs","exports":{".":{"import":"./dist/esm/index.mjs","require":"./dist/index.js","default":"./dist/index.js"},"./package":"./package.json","./package.json":"./package.json"},"main":"./dist/index.js","module":"./dist/esm/index.mjs","types":"./dist/types/src/index.d.ts","bin":{"gac":"./dist/cli.js","git-add-then-commit":"./dist/cli.js"},"files":["/dist","/LICENSE","/package.json","/README.md"],"scripts":{"build":"npm run build-dist --","build-changelog":"conventional-changelog --outfile CHANGELOG.md --preset angular --config .changelogrc.js --release-count 0 --skip-unstable && (if [ \\"$CHANGELOG_SKIP_TITLE\\" != \'true\' ]; then { node -e \'console.log(require(\\"./.changelogrc.js\\").changelogTitle)\'; cat CHANGELOG.md; } > CHANGELOG.md.ignore && mv CHANGELOG.md.ignore CHANGELOG.md; fi) && remark -o --use reference-links --use gfm --use frontmatter CHANGELOG.md && prettier --write CHANGELOG.md","build-dist":"npm run clean && NODE_ENV=production tsc --project tsconfig.types.json && NODE_ENV=production webpack --config-name main && if [ -r ./src/cli.ts ]; then NODE_ENV=production webpack --config-name cli; fi && NODE_ENV=esm babel src --extensions .ts --out-dir dist/esm --out-file-extension .mjs","build-docs":"ENTRY=`node -e \'console.log(require(\\"./package.json\\").exports[\\".\\"].default.replace(/\\\\.\\\\/dist\\\\/(.+)\\\\.[a-zA-Z0-9]+$/, \\"./src/$1.ts\\"))\'` && echo $ENTRY && typedoc --plugin typedoc-plugin-markdown --out docs --readme none $ENTRY && find docs -name \'*.md\' -exec sed -i -e \'s/`__namedParameters`: //g\' {} + && find docs -name \'*.md\' -exec sed -i -E \'s/^.\\\\s*(\\\\*\\\\*)?__namedParameters(\\\\*\\\\*)?/**\\\\({ destructured }\\\\)**/gm\' {} + && find docs -name \'*.md\' -exec sed -i -e \'s/Project: //g\' {} + && sed -i -e 1,4d docs/README.md","build-stats":"NODE_ENV=production webpack --config-name main --json > bundle-stats.ignore.json","clean":"rm -rf dist coverage external-scripts/bin bundle-stats.ignore.json","format":"sort-package-json && remark -o --use reference-links --use gfm --use frontmatter . && prettier --write .","lint":"stdbuf -i0 -o0 -e0 tsc --project tsconfig.lint.json; X=$?; stdbuf -i0 -o0 -e0 eslint --parser-options=project:tsconfig.lint.json src; Y=$?; remark --quiet --use gfm --use frontmatter --use lint-final-newline --use lint-no-auto-link-without-protocol --use lint-no-blockquote-without-marker --use lint-ordered-list-marker-style --use lint-hard-break-spaces --use lint-no-duplicate-definitions --use lint-no-heading-content-indent --use lint-no-inline-padding --use lint-no-undefined-references --use lint-no-unused-definitions .; Z=$?; [ $X -eq 0 ] && [ $Y -eq 0 ] && [ $Z -eq 0 ]","list-tasks":"node -e \'console.log(Object.keys(require(\\"./package.json\\").scripts).join(\\"\\\\n\\"))\'","prepare":"if [ -z \\"$CI\\" ]; then npx husky install; else echo \'skipped installing husky git hooks\'; fi","test":"npm run test-unit --","test-integration":"BABEL_ENV=test jest $JEST_CLI --testPathIgnorePatterns test/unit-*.test.ts","test-integration-node":"BABEL_ENV=test jest $JEST_CLI test/integration-node*.test.ts","test-integration-webpack":"BABEL_ENV=test jest $JEST_CLI test/integration-webpack*.test.ts","test-unit":"BABEL_ENV=test jest $JEST_CLI --coverage --collectCoverageFrom \'src/**/*.ts\' --collectCoverageFrom \'lib/**/*.ts\' --collectCoverageFrom \'external-scripts/**/*.ts\' --testPathIgnorePatterns test/integration-*.test.ts"},"commitlint":{"extends":["@commitlint/config-conventional"],"rules":{"body-leading-blank":[2,"always"],"footer-leading-blank":[2,"always"],"type-enum":[2,"always",["feat","fix","docs","style","refactor","test","revert","debug","build","chore"]]}},"lint-staged":{"*.md":"remark -o --use reference-links --use gfm --use frontmatter","package.json":"sort-package-json","*":"prettier --write --ignore-unknown"},"prettier":{"endOfLine":"lf","printWidth":80,"proseWrap":"always","semi":true,"singleQuote":true,"tabWidth":2,"trailingComma":"none","overrides":[{"files":"**/*.@(ts|?(@(c|m))js)?(x)","options":{"parser":"babel-ts","printWidth":90}}]},"jest":{"setupFilesAfterEnv":["./test/setup.ts"],"testEnvironment":"node","testPathIgnorePatterns":["/node_modules/"],"testRunner":"jest-circus/runner","testTimeout":20000,"verbose":false},"dependencies":{"common-ancestor-path":"^1.0.1","debug":"^4.3.1","execa":"^5.0.0","simple-git":"^2.31.0","yargs":"^16.2.0"},"devDependencies":{"@babel/cli":"^7.12.10","@babel/core":"^7.12.10","@babel/plugin-proposal-export-default-from":"^7.12.1","@babel/plugin-proposal-function-bind":"^7.12.1","@babel/preset-env":"^7.12.11","@babel/preset-typescript":"^7.12.7","@commitlint/cli":"^11.0.0","@commitlint/config-conventional":"^11.0.0","@ergodark/types":"^1.0.16","@octokit/rest":"^18.0.15","@semantic-release/changelog":"^5.0.1","@semantic-release/exec":"^5.0.0","@semantic-release/git":"^9.0.0","@types/confusing-browser-globals":"^1.0.0","@types/debug":"^4.1.5","@types/jest":"^26.0.20","@types/node":"^14.14.22","@types/semver":"^7.3.4","@types/shelljs":"^0.8.8","@types/webpack":"^4.41.26","@types/yargs":"^16.0.0","@typescript-eslint/eslint-plugin":"^4.14.1","@typescript-eslint/parser":"^4.14.1","babel-eslint":"^10.1.0","babel-jest":"^26.6.3","babel-loader":"^8.2.2","babel-plugin-add-import-extension":"^1.4.4","babel-plugin-source-map-support":"^2.1.3","babel-plugin-transform-default-named-imports":"^1.0.5","babel-plugin-transform-rename-import":"^2.3.0","confusing-browser-globals":"^1.0.10","conventional-changelog-angular":"^5.0.12","conventional-changelog-cli":"^2.1.1","del":"^6.0.0","escape-string-regexp":"^4.0.0","eslint":"^7.18.0","eslint-import-resolver-alias":"^1.1.2","eslint-import-resolver-typescript":"^2.3.0","eslint-plugin-import":"^2.22.1","eslint-plugin-jest":"^24.1.3","husky":"^5.0.4","jest":"^26.6.3","jest-circus":"^26.6.3","jest-extended":"^0.11.5","lint-staged":"^10.5.3","prettier":"^2.2.1","remark-cli":"^9.0.0","remark-frontmatter":"^3.0.0","remark-gfm":"^1.0.0","remark-lint-final-newline":"^1.0.5","remark-lint-hard-break-spaces":"^2.0.1","remark-lint-no-auto-link-without-protocol":"^2.0.1","remark-lint-no-blockquote-without-marker":"^4.0.0","remark-lint-no-duplicate-definitions":"^2.0.1","remark-lint-no-heading-content-indent":"^3.0.0","remark-lint-no-inline-padding":"^3.0.0","remark-lint-no-undefined-references":"^3.0.0","remark-lint-no-unused-definitions":"^2.0.1","remark-lint-ordered-list-marker-style":"^2.0.1","remark-reference-links":"^5.0.0","semantic-release":"Xunnamius/semantic-release#contrib-holistic","semver":"^7.3.4","shelljs":"^0.8.4","sort-package-json":"Xunnamius/sort-package-json#contrib-env-expect","source-map-support":"^0.5.19","spellchecker":"^3.7.1","text-extensions":"^2.4.0","typedoc":"^0.20.16","typedoc-plugin-markdown":"^3.4.3","typescript":"^4.1.3","unique-filename":"^1.1.1","webpack":"^5.17.0","webpack-cli":"^4.4.0","webpack-node-externals":"^2.5.2"},"engines":{"node":">=12.x"},"publishConfig":{"access":"public"}}'),o=require("debug");var i=s.n(o);const a=require("simple-git");var r=s.n(a);const l=require("common-ancestor-path");var c=s.n(l);const p=require("execa");var m=s.n(p);const{name:u}=n,d=i()(`${u}:git-lib`);async function g(){const{files:e}=await r()().status(),t=e.filter((e=>"?"!=e.index&&"?"!=e.working_dir)).flatMap((e=>e.path.split(" -> ")));return d("saw file paths: %O",e),d("returning: %O",t),t}async function f(e){const t=(await Promise.all([m()("git",["diff","--name-only","--",e]),m()("git",["diff","--staged","--name-only","--",e])])).reduce(((e,{stdout:t})=>[...e,...t.split("\n")]),[]).filter(Boolean);d(`combined stdout array:\n"${t}"`);const s=Array.from(new Set(t));if(!s.length)throw new Error(`path "${e}" does not refer to any staged files`);const n=s.length>1?{ambiguous:!0,files:s}:{ambiguous:!1,file:s[0]};return d("computed files (from stdout): %O",s),d("result: %O",n),n}const h=require("path");var b=s.n(h);const w=require("yargs/yargs");var y=s.n(w);const{name:k}=n,{basename:E}=b(),j=i()(`${k}:index`);function v(e){const t=e||y()();return t.scriptName("gac").usage('$0 [path1, path2, ...] commit-type commit-scope commit-message\n\nStage any paths provided and then commit all staged files. Running this command is equivalent to running the following git commands by hand:\n  git add path1 path2 ...\n  git commit -m "commit-type(commit-scope): commit-message"').options({"scope-omit":{alias:"o",describe:"Do not include a scope at all",type:"boolean"},"scope-basename":{alias:"b",describe:"Use path1's basename as the scope",type:"boolean"},"scope-as-is":{alias:"a",describe:"Use path1 exactly as typed as the scope",type:"boolean"},"scope-full":{alias:"f",describe:"Use path1 (relative to repo root) as the scope",type:"boolean"},silent:{alias:"s",describe:"Nothing will be printed to stdout or stderr",type:"boolean"}}).string("_").group(["scope-omit","scope-basename","scope-as-is","scope-full"],"Scope options:").group(["help","version","silent"],"Other options:").epilogue("Details:\n  The commit-scope parameter must be omitted when specifying a scope option. Specifying more than one scope option will fail. Special scope options - and -- alias -o and -b respectively.\n\n  If no path arguments are passed, -a will fail. If no path arguments are passed and there is not exactly one staged file, -b will fail. If no path arguments are passed, -f will return the full path if there is exactly one staged file, the deepest common ancestor of all staged files if there is more than one, or fail if there is no non-root common ancestor. If path1 is ambiguous, -f will return the deepest common ancestor.").example([['$0 path/to/file1 feat - "new feature"','Stages file1 & commits as "feat: new feature"'],['$0 path file2 feat -- "new feature"','Stages file1 & file2 & commits as "feat(file1): new feature"'],['$0 path feat --scope-as-is "feature"','Stages file1 & commits as "feat(path): feature"'],['$0 path feat --scope-full "new feature"','Stages file1 & commits as "feat(path/to/file1): new feature"'],['$0 chore scripts "update var names"','Commits (all staged files) as "chore(scripts): update var names"']]).strictOptions(),{program:t,parse:async e=>{var s;e=(null!==(s=e)&&void 0!==s&&s.length?e:process.argv.slice(2)).map((e=>"-"==e?"-o":"--"==e?"-b":e)),j("parse(argv) saw argv: %O",e);const n=t.parse(e);let o=!1;const i=["scopeOmit","scopeBasename","scopeAsIs","scopeFull"].filter((e=>e in n)).length,a=(o=!!i)?2:3;if(i>1)throw new Error("only one scope option is allowed. See --help for details");if(n._.length<a)throw new Error("must pass all required arguments. See --help for details");if(!await async function(){return r()().checkIsRepo()}())throw new Error("not a git repository (or any of the parent directories): .git");const l=await g();if(j("pre-staged paths: %O",l),n._.length==a&&!l.length)throw new Error("must stage a file or pass a path. See --help for details");const p=Array.from(n._).map(String),m=p.splice(0,p.length-(o?2:3)),[u,h,b]=o?[p[0],,p[1]]:p;let w=`${u}(${h}): ${b}`;await async function(e){d("adding (staging) paths: %O",e),e.length&&await r()().add(e)}(m);const y=await g();if(!y.length)throw new Error("nothing to commit");if(!h)if(j("deriving commit scope based on rules: %O",n),n.scopeOmit)w=`${u}: ${b}`;else{let e;if(n.scopeBasename)if(m.length){const t=m[0],s=await f(t);if(s.ambiguous)throw new Error("use of --scope-basename with an ambiguous path");e=E(s.file)}else{if(1!=y.length)throw new Error("use of --scope-basename with multiple staged files is ambiguous");e=E(y[0])}else if(n.scopeFull){const t=e=>{const t=function(e){const t=c()(...e)||null;return d(`computed ancestor: ${t}`),t}(e);if(!t)throw new Error("use of --scope-full is ambiguous without common non-root ancestor path");return t};if(m.length){const s=await f(m[0]);e=s.ambiguous?t(s.files):s.file}else e=1==y.length?y[0]:t(y)}else{if(!m.length)throw new Error("use of --scope-as-is without path argument is ambiguous");e=m[0]}w=`${u}(${e}): ${b}`}return await async function(e,t=!0){d(`pipe output: ${t}`),d("creating commit with message: %O",e);const s=r()();if(t&&s.outputHandler(((e,t,s)=>{d("piping output from command: %O",e),t.pipe(process.stdout),s.pipe(process.stderr)})),!(await s.commit(e)).commit)throw new Error("commit operation failed")}(w,!n.silent),n}}}}},t={};function s(n){if(t[n])return t[n].exports;var o=t[n]={exports:{}};return e[n](o,o.exports,s),o.exports}return s.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return s.d(t,{a:t}),t},s.d=(e,t)=>{for(var n in t)s.o(t,n)&&!s.o(e,n)&&Object.defineProperty(e,n,{enumerable:!0,get:t[n]})},s.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),s.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},s(612)})();